<?xml version="1.0" encoding="ISO-8859-1" ?>
<!DOCTYPE html PUBLIC 
"-//W3C//DTD XHTML 1.0 Transitional//EN" 
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
    xmlns:ui="http://java.sun.com/jsf/facelets"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:p="http://primefaces.org/ui"
    xmlns:pe="http://primefaces.org/ui/extensions">
<ui:composition
    template="/WEB-INF/templates/simoHospitalizacionLayout.xhtml">
    <ui:define name="titulo">
        <h:outputText value="#{msgmon['titulo.monitoreo.diassincapturar']}"/>
    </ui:define>
    
    <ui:define name="contenido">
        <f:view>
            <h:outputScript
                library="js"
                name="diassincapturar/monitorDiasSinCapturar.js"/>
            <div class="titulo">
                <p:panelGrid>
                    <p:row>
                        <p:column styleClass="tituloAreaDeTrabajoTablas">
                            <p:outputLabel
                                value="#{msgmon['titulo.monitoreo.diassincapturar']}"/>
                        </p:column>
                    </p:row>
                </p:panelGrid>
            </div>
            
            <h:form id="idMonitoreoDiasSinCapturar">
            
                 <div class="tablaDatos">
                 
                    <p:panelGrid id="idPanelMonitorInfo" styleClass="ancho_100 " style="float:right" rendered="#{monitorDiasSinCapturarController.renderTablaDelegcionUnidad}">
                      
                        <p:row>
                            <p:column styleClass="ancho_70"></p:column>
                            <p:column styleClass="ancho_10 align_l">
                                <h:outputLabel value="#{msgmon['etiqueta.mes.monitoreo.diassincapturar']}" />
                            </p:column>
                            <p:column styleClass="ancho_10  align_l">
                                <p:outputLabel value="#{monitorDiasSinCapturarController.mes}" />
                            </p:column>
                        </p:row>
                        <p:row>
                            <p:column styleClass="ancho_70"></p:column>
                            <p:column styleClass="ancho_10 align_l">
                                <h:outputLabel value="#{msgmon['etiqueta.fecha.monitoreo.diassincapturar']}" />
                            </p:column>
                            <p:column styleClass="ancho_10  align_l">
                                <p:outputLabel value="#{monitorDiasSinCapturarController.fecha}" />
                            </p:column>
                        </p:row>
                        <p:row>
                            <p:column>
                                <p:spacer style="height:50px;"/>
                            </p:column>
                        </p:row>
                    </p:panelGrid>
                    
                    <p:panelGrid id="idPanelMonitorSeleccion" styleClass="ancho_100 " style="float:right" rendered="#{monitorDiasSinCapturarController.renderTablaDelegcionUnidad}">
                      
                        <p:row>
                            <p:column styleClass="ancho_20"></p:column>
                            <p:column styleClass="ancho_30">
                                <p:dataTable id="delegacionUmae"  value="#{monitorDiasSinCapturarController.listDelegaciones}" emptyMessage=" "
                                    var="delumae"  selection="#{monitorDiasSinCapturarController.delegacionDiasSinCapturar}" 
                                    rowKey="#{delumae.cveDelegacionImss}" selectionMode="single" styleClass="listaDatos"  rowStyleClass="#{delumae.color}" 
                                    scrollable="true" scrollHeight="300">
                                    
                                    <p:ajax event="rowSelect" listener="#{monitorDiasSinCapturarController.obtenerListUnidadMedica}"  update="idMonitoreoDiasSinCapturar:unidadMedica"/>
                                    
                                    <p:column headerText="#{msgmon['etiqueta.list.delegacion.diassincapturar']}" styleClass="align_l #{delumae.color}"> 
                                        <h:outputText value=" #{delumae.refDelegacionImss}" />
                                    </p:column>
                                    
                                </p:dataTable>
                            </p:column>
                            <p:column styleClass="ancho_30">
                                <p:dataTable id="unidadMedica"  value="#{monitorDiasSinCapturarController.listUnidades}" emptyMessage=" "
                                    var="unimed"  selection="#{monitorDiasSinCapturarController.unidadMedicaDiasSinCapturar}" 
                                    rowKey="#{unimed.cvePresupuestal}" selectionMode="single" styleClass="listaDatos"  rowStyleClass="#{unimed.color}" 
                                     scrollable="true" scrollHeight="300">
                                    
                                    <p:ajax event="rowSelect" listener="#{monitorDiasSinCapturarController.obtenerMonitorDiasSinCapturar}"  update="idMonitoreoDiasSinCapturar"/>
                                    
                                    <p:column headerText="#{msgmon['etiqueta.list.unidad.diassincapturar']}" styleClass="align_l #{unimed.color}"> 
                                        <h:outputText value=" #{unimed.refUnidadMedica}" />
                                    </p:column>
                                    
                                </p:dataTable>
                            </p:column>
                            <p:column styleClass="ancho_20"></p:column>
                        </p:row>
                     </p:panelGrid>
                     
                     
                     <p:panelGrid id="idPanelMonitorInfoTabla" styleClass="ancho_100 " style="float:right" rendered="#{monitorDiasSinCapturarController.renderTablaMonitor}">
                      
                        <p:row>
                            <p:column styleClass="ancho_22"></p:column>
                            <p:column styleClass="ancho_10 align_r">
                                <h:outputLabel value="#{msgmon['etiqueta.delegacion.monitoreo.diassincapturar']}" />
                            </p:column>
                            <p:column styleClass="ancho_35  align_l">
                                <p:outputLabel value="#{monitorDiasSinCapturarController.delegacionDiasSinCapturar.refDelegacionImss}" />
                            </p:column>
                            <p:column styleClass="ancho_11 align_r">
                                <h:outputLabel value="#{msgmon['etiqueta.mes.monitoreo.diassincapturar']}" />
                            </p:column>
                            <p:column styleClass="ancho_30  align_l">
                                <p:outputLabel value="#{monitorDiasSinCapturarController.mes}" />
                            </p:column>
                        </p:row>
                        <p:row>
                            <p:column styleClass="ancho_22"></p:column>
                            <p:column styleClass="ancho_10 align_r">
                                <h:outputLabel value="#{msgmon['etiqueta.unidadmedica.monitoreo.diassincapturar']}" />
                            </p:column>
                            <p:column styleClass="ancho_35  align_l">
                                <p:outputLabel value="#{monitorDiasSinCapturarController.unidadMedicaDiasSinCapturar.refUnidadMedica}" />
                            </p:column>
                            <p:column styleClass="ancho_11 align_r">
                                <h:outputLabel value="#{msgmon['etiqueta.fecha.monitoreo.diassincapturar']}" />
                            </p:column>
                            <p:column styleClass="ancho_30  align_l">
                                <p:outputLabel value="#{monitorDiasSinCapturarController.fecha}" />
                            </p:column>
                        </p:row>
                        <p:row>
                            <p:column>
                                <p:spacer style="height:10px;"/>
                            </p:column>
                        </p:row>
                    </p:panelGrid>
                    
                     
                     <p:panelGrid id="idPanelMonitorTabla" styleClass="ancho_100 " style="float:right" rendered="#{monitorDiasSinCapturarController.renderTablaMonitor}">

                        <p:row>
                            <p:column styleClass="ancho_10"></p:column>
                            <p:column styleClass="ancho_80">
                                <p:dataTable id="monitorTabla"  value="#{monitorDiasSinCapturarController.listaMonitorDiasSinCapturar}" emptyMessage=" "
                                    var="monitor" styleClass="listaDatos" scrollable="true" scrollHeight="300">
                                    <p:columnGroup type="header">
                                        <p:row>
                                            <p:column rowspan="2" headerText="#{msgmon['etiqueta.tabla.dia.monitoreo.diassincapturar']}" />
                                            <p:column colspan="2" headerText="#{msgmon['etiqueta.tabla.consultaexterna.monitoreo.diassincapturar']}" />
                                            <p:column rowspan="2" headerText="#{msgmon['etiqueta.tabla.hospitalarios.monitoreo.diassincapturar']}" />
                                            <p:column rowspan="2" headerText="#{msgmon['etiqueta.tabla.quirurgicas.monitoreo.diassincapturar']}" />
                                            <p:column rowspan="2" headerText="#{msgmon['etiqueta.tabla.egresosurgencias.monitoreo.diassincapturar']}" />
                                        </p:row>
                                        <p:row>
                                            <p:column headerText="#{msgmon['etiqueta.tabla.especialidades.monitoreo.diassincapturar']}"/>
                                            <p:column headerText="#{msgmon['etiqueta.tabla.urgencias.monitoreo.diassincapturar']}"/>
                                        </p:row>
                                    </p:columnGroup>
                                    <p:column styleClass="align_l background_gris_oscuro">
                                        <h:outputLabel value=" #{monitor.fechaCaptura}" />
                                    </p:column>
                                    <p:column styleClass="align_c #{monitor.colorCespecialidad}"> 
                                        <h:outputText value=" #{monitor.numCeEspecialidad}" />
                                    </p:column>
                                    <p:column styleClass="align_c #{monitor.colorCeurgencia}"> 
                                        <h:outputText value=" #{monitor.numCeUrgencia}" />
                                    </p:column>
                                    <p:column styleClass="align_c #{monitor.colorEgresohosp}"> 
                                        <h:outputText value=" #{monitor.numEgresoHospitalizacion}" />
                                    </p:column>
                                    <p:column styleClass="align_c #{monitor.colorIntqx}"> 
                                        <h:outputText value=" #{monitor.numIntQuirurgicas}" />
                                    </p:column>
                                    <p:column styleClass="align_c #{monitor.colorEgresourg}"> 
                                        <h:outputText value=" #{monitor.numEgresoUrgencia}" />
                                    </p:column>
                                </p:dataTable>
                            </p:column>
                            <p:column styleClass="ancho_10"></p:column>
                        </p:row>                      
                        
                     </p:panelGrid>
                     
                     
                     <p:panelGrid id="idPanelMonitorTablaExportaCsv" styleClass="ancho_100 " style="float:right" rendered="false">

                        <p:row>
                            <p:column styleClass="ancho_10"></p:column>
                            <p:column styleClass="ancho_80">
                                <p:dataTable id="monitorTablaExportaCsv"  value="#{monitorDiasSinCapturarController.listaMonitorDiasSinCapturar}" emptyMessage=" "
                                    var="monitor" styleClass="listaDatos" scrollable="true" scrollHeight="300">
                                    <p:column>
                                        <f:facet name="header"><h:outputText value="#{msgmon['etiqueta.tabla.dia.monitoreo.diassincapturar']}"/></f:facet>
                                        <h:outputText value="#{monitor.fechaCaptura}"/>
                                    </p:column>
                                    <p:column>
                                        <f:facet name="header"><h:outputText value="#{msgmon['etiqueta.tabla.especialidades.monitoreo.diassincapturar']}"/></f:facet>
                                        <h:outputText value="#{monitor.numCeEspecialidad}"/>
                                    </p:column>
                                    <p:column>
                                        <f:facet name="header"><h:outputText value="#{msgmon['etiqueta.tabla.urgencias.monitoreo.diassincapturar']}"/></f:facet>
                                        <h:outputText value="#{monitor.numCeUrgencia}"/>
                                    </p:column>
                                    <p:column>
                                        <f:facet name="header"><h:outputText value="#{msgmon['etiqueta.tabla.hospitalarios.monitoreo.diassincapturar']}"/></f:facet>
                                        <h:outputText value="#{monitor.numEgresoHospitalizacion}"/>
                                    </p:column>
                                    <p:column>
                                        <f:facet name="header"><h:outputText value="#{msgmon['etiqueta.tabla.quirurgicas.monitoreo.diassincapturar']}"/></f:facet>
                                        <h:outputText value="#{monitor.numIntQuirurgicas}"/>
                                    </p:column>
                                    <p:column>
                                        <f:facet name="header"><h:outputText value="#{msgmon['etiqueta.tabla.egresosurgencias.monitoreo.diassincapturar']}"/></f:facet>
                                        <h:outputText value="#{monitor.numEgresoUrgencia}"/>
                                    </p:column>
                                </p:dataTable>
                            </p:column>
                            <p:column styleClass="ancho_10"></p:column>
                        </p:row>                      
                        
                     </p:panelGrid>
                     
                     
                     <p:panelGrid id="idPanelMonitorLabels" styleClass="ancho_100 " >
                      
                         <p:row>
                             <p:column styleClass="align_r"> 
                                      <h:graphicImage
                                     value="/img/cuadro_verde.png"></h:graphicImage>                                
                             </p:column>
                             <p:column styleClass="align_l">  
                                 <p:outputLabel
                                     value="#{msgmon['etiqueta.semaforo.verde.monitoreo.diassincapturar']}"/></p:column>
                             <p:column></p:column>                                        
                         </p:row>
                         <p:row>                                        
                             <p:column styleClass="align_r">
                                 <h:graphicImage
                                     value="/img/cuadro_amarillo.png"></h:graphicImage>                              
                             </p:column >
                             <p:column colspan="2" styleClass="align_l">
                                 <p:outputLabel
                                     value="#{msgmon['etiqueta.semaforo.amarillo.monitoreo.diassincapturar']}"/>
                             </p:column>
                         </p:row>
                         <p:row>                                        
                             <p:column styleClass="align_r">
                                 <h:graphicImage
                                     value="/img/cuadro_rojo.png"></h:graphicImage>                              
                             </p:column >
                             <p:column colspan="2" styleClass="align_l">
                                 <p:outputLabel
                                     value="#{msgmon['etiqueta.semaforo.rojo.monitoreo.diassincapturar']}"/>
                             </p:column>
                         </p:row>
                         <p:row>
                             <p:column>
                                
                             </p:column>
                             <p:column></p:column>
                             <p:column>
                                 <div class="acciones">
                                     <p:commandButton value="Procesar Monitor" ajax="false" rendered="false"
                                        actionListener="#{monitorDiasSinCapturarController.procesarMonitorDiasSinCapturar}"></p:commandButton>
                                        
                                     <p:commandButton value="#{msghsp['boton.monitoreo.regresar']}" update="idMonitoreoDiasSinCapturar" 
                                        ajax="false" actionListener="#{monitorDiasSinCapturarController.regresarMonitoreo}"
                                        rendered="#{(monitorDiasSinCapturarController.rolUsuario ge 3 
                                            or (monitorDiasSinCapturarController.rolUsuario le 2 and monitorDiasSinCapturarController.listUnidades.size() gt 1)) 
                                            and monitorDiasSinCapturarController.renderTablaMonitor}"></p:commandButton>
                                            
                                    <p:commandButton
                                        id="btnExport"
                                        value="#{msgmon['boton.exportar']}"
                                        icon="#{msghsp['icon.reporte']}"
                                        onclick="PF('blockUIWidget').block();setTimeout(function(){PF('blockUIWidget').unblock();}, 5000);document.getElementById('idMonitoreoDiasSinCapturar:btnExportMonitor').click();" 
                                        rendered="#{monitorDiasSinCapturarController.renderTablaMonitor}"/>
                                    <p:commandButton
                                        id="btnExportMonitor"
                                        value="_"
                                        icon="#{msghsp['icon.reporte']}"
                                        styleClass="boton_oculto"
                                        ajax="false"
                                        actionListener="#{monitorDiasSinCapturarController.fileXlsSpring}" 
                                        rendered="#{monitorDiasSinCapturarController.renderTablaMonitor}"/>
                                        
                                     <p:commandButton value="#{msghsp['boton.salir']}" ajax="false" 
                                        actionListener="#{monitorDiasSinCapturarController.salir}"></p:commandButton>
                                        
                                 </div>
                                 
                             </p:column>                                        
                         </p:row>
                      </p:panelGrid>
                      
                      
                 </div>
            </h:form>
            <br></br>
       </f:view>
    </ui:define>
    
</ui:composition>
</html>